UPDATE Leaders SET PrimaryVictoryPursuit = 'VICTORY_PURSUIT_DIPLOMACY' WHERE Type = 'LEADER_JFD_RIZAL';

--==========================================================================================================================	
-- SETTINGS
--==========================================================================================================================
UPDATE CustomModOptions	SET Value = 1 WHERE Name = 'EVENTS_CUSTOM_MISSIONS';
UPDATE CustomModOptions	SET Value = 1 WHERE Name = 'EVENTS_TRADE_ROUTES';
--==========================================================================================================================	
-- UNITCLASSES
--==========================================================================================================================	
-- UnitClasses
--------------------------------
INSERT INTO UnitCombatInfos
			(Type,					Description)
VALUES		('UNITCOMBAT_BALANGAY',	'Filipino Balangay Units');

--INSERT INTO UnitCombatInfosEx
--			(CombatClass,			Description, 						DefaultUnitType, 				IsDefault)
--VALUES		('UNITCOMBAT_BALANGAY',	'TXT_KEY_PROMO_MOD_DESC_RECON', 	'UNIT_PHILIPPINES_BALANGAY', 	1);

INSERT INTO UnitClasses
			(Type,								Description)
VALUES		('UNITCLASS_PHILIPPINES_BALANGAY',	'TXT_KEY_UNIT_PHILIPPINES_BALANGAY');
--==========================================================================================================================	

--==========================================================================================================================
-- ARTDEFINES
--==========================================================================================================================	
------------------------------
-- ArtDefine_StrategicView
------------------------------
INSERT INTO ArtDefine_StrategicView 
			(StrategicViewType, 					TileType,	Asset)
VALUES		('ART_DEF_UNIT_PHILIPPINES_LANTAKA',	'Unit',		'LantakaFlagSV.dds'),
			('ART_DEF_UNIT_PHILIPPINES_BALANGAY',	'Unit',		'BalangaySV128.dds');
------------------------------
-- ArtDefine_UnitInfos
------------------------------		
INSERT INTO ArtDefine_UnitInfos 
			(Type,									DamageStates,	Formation)
SELECT		'ART_DEF_UNIT_PHILIPPINES_LANTAKA', 	DamageStates, 	Formation
FROM ArtDefine_UnitInfos WHERE Type = 'ART_DEF_UNIT_CANNON';
------------------------------
-- ArtDefine_UnitInfoMemberInfos
------------------------------
INSERT INTO ArtDefine_UnitInfoMemberInfos 	
			(UnitInfoType,						UnitMemberInfoType,							NumMembers)
SELECT		'ART_DEF_UNIT_PHILIPPINES_LANTAKA', 'ART_DEF_UNIT_MEMBER_PHILIPPINES_LANTAKA', 	NumMembers
FROM ArtDefine_UnitInfoMemberInfos WHERE UnitInfoType = 'ART_DEF_UNIT_CANNON';
------------------------------
-- ArtDefine_UnitMemberCombats
------------------------------
INSERT INTO ArtDefine_UnitMemberCombats 
			(UnitMemberType,							EnableActions, DisableActions, MoveRadius, ShortMoveRadius, ChargeRadius, AttackRadius, RangedAttackRadius, MoveRate, ShortMoveRate, TurnRateMin, TurnRateMax, TurnFacingRateMin, TurnFacingRateMax, RollRateMin, RollRateMax, PitchRateMin, PitchRateMax, LOSRadiusScale, TargetRadius, TargetHeight, HasShortRangedAttack, HasLongRangedAttack, HasLeftRightAttack, HasStationaryMelee, HasStationaryRangedAttack, HasRefaceAfterCombat, ReformBeforeCombat, HasIndependentWeaponFacing, HasOpponentTracking, HasCollisionAttack, AttackAltitude, AltitudeDecelerationDistance, OnlyTurnInMovementActions, RushAttackFormation)
SELECT		'ART_DEF_UNIT_MEMBER_PHILIPPINES_LANTAKA',	EnableActions, DisableActions, MoveRadius, ShortMoveRadius, ChargeRadius, AttackRadius, RangedAttackRadius, MoveRate, ShortMoveRate, TurnRateMin, TurnRateMax, TurnFacingRateMin, TurnFacingRateMax, RollRateMin, RollRateMax, PitchRateMin, PitchRateMax, LOSRadiusScale, TargetRadius, TargetHeight, HasShortRangedAttack, HasLongRangedAttack, HasLeftRightAttack, HasStationaryMelee, HasStationaryRangedAttack, HasRefaceAfterCombat, ReformBeforeCombat, HasIndependentWeaponFacing, HasOpponentTracking, HasCollisionAttack, AttackAltitude, AltitudeDecelerationDistance, OnlyTurnInMovementActions, RushAttackFormation
FROM ArtDefine_UnitMemberCombats WHERE UnitMemberType = 'ART_DEF_UNIT_MEMBER_CANNON';
------------------------------
-- ArtDefine_UnitMemberCombatWeapons
------------------------------
INSERT INTO ArtDefine_UnitMemberCombatWeapons	
			(UnitMemberType,							"Index", SubIndex, ID, VisKillStrengthMin, VisKillStrengthMax, ProjectileSpeed, ProjectileTurnRateMin, ProjectileTurnRateMax, HitEffect, HitEffectScale, HitRadius, ProjectileChildEffectScale, AreaDamageDelay, ContinuousFire, WaitForEffectCompletion, TargetGround, IsDropped, WeaponTypeTag, WeaponTypeSoundOverrideTag)
SELECT		'ART_DEF_UNIT_MEMBER_PHILIPPINES_LANTAKA',	"Index", SubIndex, ID, VisKillStrengthMin, VisKillStrengthMax, ProjectileSpeed, ProjectileTurnRateMin, ProjectileTurnRateMax, HitEffect, HitEffectScale, HitRadius, ProjectileChildEffectScale, AreaDamageDelay, ContinuousFire, WaitForEffectCompletion, TargetGround, IsDropped, WeaponTypeTag, WeaponTypeSoundOverrideTag
FROM ArtDefine_UnitMemberCombatWeapons WHERE UnitMemberType = 'ART_DEF_UNIT_MEMBER_CANNON';
------------------------------
-- ArtDefine_UnitMemberInfos
------------------------------
INSERT INTO ArtDefine_UnitMemberInfos 	
		(Type, 										Scale, ZOffset, Domain, Model, 				MaterialTypeTag, MaterialTypeSoundOverrideTag)
SELECT	'ART_DEF_UNIT_MEMBER_PHILIPPINES_LANTAKA',	Scale, ZOffset, Domain, 'culverin.fxsxml',	MaterialTypeTag, MaterialTypeSoundOverrideTag
FROM ArtDefine_UnitMemberInfos WHERE Type = 'ART_DEF_UNIT_MEMBER_CANNON';
------------------------------
-- IconTextureAtlases
------------------------------
INSERT INTO IconTextureAtlases 
			(Atlas, 						IconSize, 	Filename, 						IconsPerRow, 	IconsPerColumn)
VALUES		('UNIT_PHILIPPINES_ATLAS_1', 		256, 		'Balangay256.dds',			1, 				1),
			('UNIT_PHILIPPINES_ATLAS_1', 		128, 		'Balangay128.dds',			1, 				1),
			('UNIT_PHILIPPINES_ATLAS_1', 		80, 		'Balangay080.dds',			1, 				1),
			('UNIT_PHILIPPINES_ATLAS_1', 		64, 		'Balangay064.dds',			1, 				1),
			('UNIT_PHILIPPINES_ATLAS_1', 		45, 		'Balangay045.dds',			1, 				1),
			('UNIT_PHILIPPINES_FLAG_ATLAS_1', 	32, 		'BalangayFlag32.dds',		1, 				1),
			('UNIT_PHILIPPINES_ATLAS_2', 		256, 		'LantakaIcon256.dds',		1, 				1),
			('UNIT_PHILIPPINES_ATLAS_2', 		128, 		'LantakaIcon128.dds',		1, 				1),
			('UNIT_PHILIPPINES_ATLAS_2', 		80, 		'LantakaIcon80.dds',		1, 				1),
			('UNIT_PHILIPPINES_ATLAS_2', 		64, 		'LantakaIcon64.dds',		1, 				1),
			('UNIT_PHILIPPINES_ATLAS_2', 		45, 		'LantakaIcon45.dds',		1, 				1),
			('UNIT_PHILIPPINES_FLAG_ATLAS_2', 	32, 		'LantakaFlag.dds',			1, 				1);
--==========================================================================================================================	

--==========================================================================================================================	
-- UNITS
--==========================================================================================================================
--------------------------------
-- Units
--------------------------------	
INSERT INTO Units 	
			(Type,							Class, 								PrereqTech,					Range, BaseSightRange, 	Combat,	Cost,	FaithCost, 	Food, UnitEraUpgrade, HurryCostModifier, 	Requirements,										Moves, Immobile, CombatClass, 			Domain, DefaultUnitAI,		GoodyHutUpgradeUnitClass, XPValueAttack, Description, 							Civilopedia, 								Strategy, 										Help, 										Pillage, MilitarySupport, MilitaryProduction, IgnoreBuildingDefense, Mechanized, AirUnitCap, AdvancedStartCost, RangedCombatLimit, CombatLimit, XPValueDefense, UnitArtInfo, 							UnitFlagIconOffset,	UnitFlagAtlas,						PortraitIndex, 	IconAtlas,					MoveRate, PurchaseCooldown, NoMinorCivGift)
SELECT		'UNIT_PHILIPPINES_BALANGAY',	'UNITCLASS_PHILIPPINES_BALANGAY',	'TECH_HORSEBACK_RIDING',	Range, BaseSightRange, 	5,		-1,		-1, 		Food, UnitEraUpgrade, -1, 					'TXT_KEY_NO_ACTION_SETTLER_SIZE_LIMIT_HARDCODED',	Moves, Immobile, 'UNITCOMBAT_BALANGAY',	Domain, 'UNITAI_EXPLORE',	GoodyHutUpgradeUnitClass, XPValueAttack, 'TXT_KEY_UNIT_PHILIPPINES_BALANGAY',	'TXT_KEY_UNIT_PHILIPPINES_BALANGAY_TEXT',	'TXT_KEY_UNIT_PHILIPPINES_BALANGAY_STRATEGY',	'TXT_KEY_UNIT_PHILIPPINES_BALANGAY_HELP',	Pillage, MilitarySupport, MilitaryProduction, IgnoreBuildingDefense, Mechanized, AirUnitCap, AdvancedStartCost, RangedCombatLimit, CombatLimit, XPValueDefense, 'ART_DEF_UNIT_PHILIPPINES_BALANGAY', 	0,					'UNIT_PHILIPPINES_FLAG_ATLAS_1',	0, 				'UNIT_PHILIPPINES_ATLAS_1',	MoveRate, PurchaseCooldown, 1
FROM Units WHERE Type = 'UNIT_TRIREME';

INSERT INTO Units 	
			(Type,						Class, PrereqTech, Range, BaseSightRange, RangedCombat,		Combat,	Cost,		FaithCost, RequiresFaithPurchaseEnabled, Moves, Immobile, CombatClass, Domain, DefaultUnitAI, ObsoleteTech,			GoodyHutUpgradeUnitClass, XPValueAttack,	Description, 						Civilopedia, 								Strategy, 										Help, 										Pillage, MilitarySupport, MilitaryProduction, IgnoreBuildingDefense, Mechanized, AirUnitCap, AdvancedStartCost, RangedCombatLimit, CombatLimit, XPValueDefense, UnitArtInfo, 							UnitFlagIconOffset, UnitFlagAtlas,						PortraitIndex, 	IconAtlas,					MoveRate, PurchaseCooldown)
SELECT		'UNIT_PHILIPPINES_LANTAKA',	Class, PrereqTech, Range, BaseSightRange, RangedCombat+1,	Combat,	Cost-25,	FaithCost, RequiresFaithPurchaseEnabled, Moves, Immobile, CombatClass, Domain, DefaultUnitAI, 'TECH_BALLISTICS',	GoodyHutUpgradeUnitClass, XPValueAttack,	'TXT_KEY_UNIT_PHILIPPINES_LANTAKA',	'TXT_KEY_UNIT_PHILIPPINES_LANTAKA_TEXT',	'TXT_KEY_UNIT_PHILIPPINES_LANTAKA_STRATEGY',	'TXT_KEY_UNIT_PHILIPPINES_LANTAKA_HELP',	Pillage, MilitarySupport, MilitaryProduction, IgnoreBuildingDefense, Mechanized, AirUnitCap, AdvancedStartCost, RangedCombatLimit, CombatLimit, XPValueDefense, 'ART_DEF_UNIT_PHILIPPINES_LANTAKA', 	0,					'UNIT_PHILIPPINES_FLAG_ATLAS_2',	0, 				'UNIT_PHILIPPINES_ATLAS_2',	MoveRate, PurchaseCooldown
FROM Units WHERE Type = 'UNIT_CANNON';

--------------------------------	
-- UnitGameplay2DScripts
--------------------------------
INSERT INTO UnitGameplay2DScripts 	
			(UnitType, 						SelectionSound, FirstSelectionSound)
SELECT		'UNIT_PHILIPPINES_BALANGAY',	SelectionSound, FirstSelectionSound
FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_CARAVEL';	
		
INSERT INTO UnitGameplay2DScripts 	
			(UnitType, 						SelectionSound, FirstSelectionSound)
SELECT		'UNIT_PHILIPPINES_LANTAKA', 	SelectionSound, FirstSelectionSound
FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_CANNON';
--------------------------------	
-- Unit_AITypes
--------------------------------		
INSERT INTO Unit_AITypes 	
			(UnitType, 						UnitAIType)
SELECT		'UNIT_PHILIPPINES_BALANGAY',	UnitAIType
FROM Unit_AITypes WHERE UnitType = 'UNIT_CARAVEL';

INSERT INTO Unit_AITypes 	
			(UnitType, 					UnitAIType)
SELECT		'UNIT_PHILIPPINES_LANTAKA',	UnitAIType
FROM Unit_AITypes WHERE UnitType = 'UNIT_CANNON';
--------------------------------	
-- Unit_ResourceQuantityRequirements
--------------------------------		
INSERT INTO Unit_ResourceQuantityRequirements 	
			(UnitType, 						ResourceType)
SELECT		'UNIT_PHILIPPINES_LANTAKA', 	ResourceType
FROM Unit_ResourceQuantityRequirements WHERE UnitType = 'UNIT_CANNON';
--------------------------------	
-- Unit_ClassUpgrades
--------------------------------		
--INSERT INTO Unit_ClassUpgrades 	
--			(UnitType, 				UnitClassType)
--SELECT		'UNIT_PHILIPPINES_BALANGAY',	UnitClassType
--FROM Unit_ClassUpgrades WHERE UnitType = 'UNIT_TRIREME';

INSERT INTO Unit_ClassUpgrades 	
			(UnitType, 								UnitClassType)
SELECT		'UNIT_PHILIPPINES_LANTAKA', 	UnitClassType
FROM Unit_ClassUpgrades WHERE UnitType = 'UNIT_CANNON';
--------------------------------	
-- Unit_EraCombatStrength
--------------------------------
--INSERT INTO Unit_EraCombatStrength 	
--			(UnitType, 						EraType,			CombatStrength)
--VALUES		('UNIT_PHILIPPINES_BALANGAY',	'ERA_ANCIENT',		5),
--			('UNIT_PHILIPPINES_BALANGAY',	'ERA_CLASSICAL',	10),
--			('UNIT_PHILIPPINES_BALANGAY',	'ERA_MEDIEVAL',		15),
--			('UNIT_PHILIPPINES_BALANGAY',	'ERA_RENAISSANCE',	20),
--			('UNIT_PHILIPPINES_BALANGAY',	'ERA_INDUSTRIAL',	25),
--			('UNIT_PHILIPPINES_BALANGAY',	'ERA_MODERN',		30),
--			('UNIT_PHILIPPINES_BALANGAY',	'ERA_POSTMODERN',	35),
--			('UNIT_PHILIPPINES_BALANGAY',	'ERA_FUTURE',		40);
--------------------------------
-- Unit_Flavors
--------------------------------
INSERT INTO Unit_Flavors 	
			(UnitType, 						FlavorType,				Flavor)
VALUES		('UNIT_PHILIPPINES_BALANGAY',	'FLAVOR_EXPANSION',		1),
			('UNIT_PHILIPPINES_BALANGAY',	'FLAVOR_RECON',			9),
			('UNIT_PHILIPPINES_LANTAKA',	'FLAVOR_OFFENSE',		3),
			('UNIT_PHILIPPINES_LANTAKA',	'FLAVOR_RANGED',		11),
			('UNIT_PHILIPPINES_LANTAKA',	'FLAVOR_DEFENSE',		3);
--==========================================================================================================================	
-- PROMOTIONS
--==========================================================================================================================	
	
------------------------------
-- UnitPromotions
------------------------------
INSERT INTO UnitPromotions 
			(Type, 										Description, 										Help, 													Sound, 				AttackMod,	LostWithUpgrade,	CannotBeChosen, PortraitIndex, 	IconAtlas, 					PediaType, 			PediaEntry)
VALUES		('PROMOTION_UNIT_PHILIPPINES_SWIVEL_GUN',	'TXT_KEY_PROMOTION_UNIT_PHILIPPINES_SWIVEL_GUN',	'TXT_KEY_PROMOTION_UNIT_PHILIPPINES_SWIVEL_GUN_HELP',	'AS2D_IF_LEVELUP',	0,			0,					1, 				0, 				'PHILIPPINES_PROMO_ATLAS', 	'PEDIA_RANGED', 	'TXT_KEY_PROMOTION_UNIT_PHILIPPINES_SWIVEL_GUN'),
			('PROMOTION_UNIT_PHILIPPINES_BANGKA',		'TXT_KEY_PROMOTION_UNIT_PHILIPPINES_BANGKA',		'TXT_KEY_PROMOTION_UNIT_PHILIPPINES_BANGKA_HELP',		'AS2D_IF_LEVELUP',	50,			0,					1, 				1, 				'PHILIPPINES_PROMO_ATLAS', 	'PEDIA_RANGED', 	'TXT_KEY_PROMOTION_UNIT_PHILIPPINES_BANGKA');
	
INSERT INTO UnitPromotions 
			(Type, 										Description, 										Help, 													Sound, 				LostWithUpgrade,	PromotionPrereqOr1, 						CannotBeChosen, PortraitIndex, 	IconAtlas, 					PediaType, 			PediaEntry)
VALUES		('PROMOTION_UNIT_PHILIPPINES_BALANGAY_1',	'TXT_KEY_PROMOTION_UNIT_PHILIPPINES_BALANGAY_1',	'TXT_KEY_PROMOTION_UNIT_PHILIPPINES_BALANGAY_1_HELP',	'AS2D_IF_LEVELUP',	0,					null, 										0, 				2, 				'PHILIPPINES_PROMO_ATLAS', 	'PEDIA_CIVILIAN', 	'TXT_KEY_PROMOTION_UNIT_PHILIPPINES_BALANGAY_1'),
			('PROMOTION_UNIT_PHILIPPINES_BALANGAY_2',	'TXT_KEY_PROMOTION_UNIT_PHILIPPINES_BALANGAY_2',	'TXT_KEY_PROMOTION_UNIT_PHILIPPINES_BALANGAY_2_HELP',	'AS2D_IF_LEVELUP',	0,					'PROMOTION_UNIT_PHILIPPINES_BALANGAY_1', 	0, 				2, 				'PHILIPPINES_PROMO_ATLAS', 	'PEDIA_CIVILIAN', 	'TXT_KEY_PROMOTION_UNIT_PHILIPPINES_BALANGAY_2'),
			('PROMOTION_UNIT_PHILIPPINES_BALANGAY_3',	'TXT_KEY_PROMOTION_UNIT_PHILIPPINES_BALANGAY_3',	'TXT_KEY_PROMOTION_UNIT_PHILIPPINES_BALANGAY_3_HELP',	'AS2D_IF_LEVELUP',	0,					'PROMOTION_UNIT_PHILIPPINES_BALANGAY_2', 	0, 				2, 				'PHILIPPINES_PROMO_ATLAS', 	'PEDIA_CIVILIAN', 	'TXT_KEY_PROMOTION_UNIT_PHILIPPINES_BALANGAY_3');
------------------------------
-- UnitPromotions_UnitCombats
------------------------------
INSERT INTO UnitPromotions_UnitCombats 
			(PromotionType, 							UnitCombatType)
VALUES		('PROMOTION_UNIT_PHILIPPINES_BALANGAY_1',	'UNITCOMBAT_BALANGAY'),
			('PROMOTION_UNIT_PHILIPPINES_BALANGAY_2',	'UNITCOMBAT_BALANGAY'),
			('PROMOTION_UNIT_PHILIPPINES_BALANGAY_3',	'UNITCOMBAT_BALANGAY');
--------------------------------
-- Unit_FreePromotions
--------------------------------
INSERT INTO Unit_FreePromotions 	
			(UnitType, 						PromotionType)
SELECT		'UNIT_PHILIPPINES_LANTAKA', 	PromotionType
FROM Unit_FreePromotions WHERE UnitType = 'UNIT_CANNON';

INSERT INTO Unit_FreePromotions
			(UnitType, 						PromotionType)
VALUES		('UNIT_PHILIPPINES_BALANGAY', 	'PROMOTION_RECON_EXPERIENCE'),
			('UNIT_PHILIPPINES_LANTAKA', 	'PROMOTION_UNIT_PHILIPPINES_SWIVEL_GUN');
--==========================================================================================================================	
-- MISSIONS
--==========================================================================================================================
INSERT INTO Missions 
			(Type, 							Description, 						Help, 										OrderPriority, 	Visible, 	Time, 	Target, 	Build, 	Sound, 	IconIndex, 	IconAtlas)
VALUES		('MISSION_BALANGAY_SETTLER',	'TXT_KEY_MISSION_BALANGAY_SETTLER',	'TXT_KEY_MISSION_BALANGAY_SETTLER_HELP',	198, 			1, 			30, 	0, 			0, 		0, 		0, 			'UNIT_ACTION_CHANGE_HOME_CITY');
--==========================================================================================================================
--==========================================================================================================================
--==========================================================================================================================	
-- BUILDING CLASSES
--==========================================================================================================================	
------------------------------	
-- BuildingClasses
------------------------------
INSERT INTO BuildingClasses 	
			(Type,									DefaultBuilding,				NoLimit)
VALUES		('BUILDINGCLASS_CC_OPENBORDER_THEM',	'BUILDING_CC_OPENBORDER_THEM',	1),
			('BUILDINGCLASS_CC_OPENBORDER_YOU',		'BUILDING_CC_OPENBORDER_YOU',	1);

INSERT INTO Buildings 	
			(Type,							BuildingClass,						Description,							GoldMaintenance,	Cost,	FaithCost,	GreatWorkCount, NeverCapture,	NukeImmune, ConquestProb,	HurryCostModifier,	IconAtlas,			PortraitIndex, 	CapitalOnly, 	IsDummy)
VALUES		('BUILDING_CC_OPENBORDER_THEM',	'BUILDINGCLASS_CC_OPENBORDER_THEM',	'TXT_KEY_BUILDING_JFD_CORAL_CHURCH',	0,					-1,		-1,			-1,				1,				1,			0,				-1,					'CIV_COLOR_ATLAS',	0, 				0, 				1),
			('BUILDING_CC_OPENBORDER_YOU',	'BUILDINGCLASS_CC_OPENBORDER_YOU',	'TXT_KEY_BUILDING_JFD_CORAL_CHURCH',	0,					-1,		-1,			-1,				1,				1,			0,				-1,					'CIV_COLOR_ATLAS',	0, 				0, 				1);

INSERT INTO Building_BuildingClassYieldChanges 
			(BuildingType,						BuildingClassType,			YieldType,		YieldChange)
VALUES		('BUILDING_CC_OPENBORDER_THEM', 	'BUILDINGCLASS_HARBOR', 	'YIELD_GOLD', 	1),
			('BUILDING_CC_OPENBORDER_YOU', 		'BUILDINGCLASS_HARBOR', 	'YIELD_FOOD', 	1);
--==========================================================================================================================	
-- CIVILIZATIONS
--==========================================================================================================================	
--------------------------------	
-- Civilization_UnitClassOverrides 
--------------------------------	
INSERT INTO Civilization_UnitClassOverrides
		(CivilizationType, 					UnitClassType, 						UnitType)
VALUES	('CIVILIZATION_JFD_PHILIPPINES', 	'UNITCLASS_PHILIPPINES_BALANGAY', 	'UNIT_PHILIPPINES_BALANGAY');	

--INSERT INTO Civilization_UnitClassOverrides
--		(CivilizationType, UnitClassType, UnitType)
--VALUES	('CIVILIZATION_JFD_PHILIPPINES', 'UNITCLASS_CANNON', 'UNIT_PHILIPPINES_LANTAKA');	

INSERT INTO Civilization_UnitClassOverrides
		(CivilizationType, UnitClassType, UnitType)
SELECT	'CIVILIZATION_JFD_PHILIPPINES', 'UNITCLASS_CANNON', 'UNIT_PHILIPPINES_LANTAKA'
WHERE EXISTS (SELECT * FROM Buildings WHERE Type = 'BUILDING_GERMANY_TEUTONIC_ORDER');
--------------------------------
-- Civilization_BuildingClassOverrides 
--------------------------------
--INSERT INTO Civilization_BuildingClassOverrides
--		(CivilizationType, BuildingClassType, BuildingType)
--VALUES	('CIVILIZATION_JFD_PHILIPPINES', 'BUILDINGCLASS_HARBOR', 'BUILDING_JFD_CORAL_CHURCH');	
INSERT INTO Civilization_BuildingClassOverrides
		(CivilizationType, 				BuildingClassType, 		BuildingType)
SELECT	'CIVILIZATION_JFD_PHILIPPINES', 'BUILDINGCLASS_HARBOR',	'BUILDING_JFD_CORAL_CHURCH'
WHERE EXISTS (SELECT * FROM Buildings WHERE Type = 'BUILDING_GERMANY_TEUTONIC_ORDER');