--==========================================================================================================================
-- ArtDefine_StrategicView
--==========================================================================================================================	
INSERT INTO ArtDefine_StrategicView 
			(StrategicViewType, 			TileType,	Asset)
VALUES		('ART_DEF_UNIT_JFD_KATIPUNERO', 'Unit', 	'sv_katipunero.dds');
--==========================================================================================================================
-- ArtDefine_UnitInfos
--==========================================================================================================================			
INSERT INTO ArtDefine_UnitInfos 
			(Type, 								DamageStates,	Formation)
SELECT		('ART_DEF_UNIT_JFD_KATIPUNERO'), 	DamageStates, 	Formation
FROM ArtDefine_UnitInfos WHERE (Type = 'ART_DEF_UNIT_RIFLEMAN');
--==========================================================================================================================
-- ArtDefine_UnitInfoMemberInfos
--==========================================================================================================================
INSERT INTO ArtDefine_UnitInfoMemberInfos 	
			(UnitInfoType,						UnitMemberInfoType,						NumMembers)
SELECT		('ART_DEF_UNIT_JFD_KATIPUNERO'), 	('ART_DEF_UNIT_MEMBER_JFD_KATIPUNERO'), NumMembers
FROM ArtDefine_UnitInfoMemberInfos WHERE (UnitInfoType = 'ART_DEF_UNIT_RIFLEMAN');
--==========================================================================================================================
-- ArtDefine_UnitMemberCombats
--==========================================================================================================================
INSERT INTO ArtDefine_UnitMemberCombats 
			(UnitMemberType,						EnableActions, DisableActions, MoveRadius, ShortMoveRadius, ChargeRadius, AttackRadius, RangedAttackRadius, MoveRate, ShortMoveRate, TurnRateMin, TurnRateMax, TurnFacingRateMin, TurnFacingRateMax, RollRateMin, RollRateMax, PitchRateMin, PitchRateMax, LOSRadiusScale, TargetRadius, TargetHeight, HasShortRangedAttack, HasLongRangedAttack, HasLeftRightAttack, HasStationaryMelee, HasStationaryRangedAttack, HasRefaceAfterCombat, ReformBeforeCombat, HasIndependentWeaponFacing, HasOpponentTracking, HasCollisionAttack, AttackAltitude, AltitudeDecelerationDistance, OnlyTurnInMovementActions, RushAttackFormation)
SELECT		('ART_DEF_UNIT_MEMBER_JFD_KATIPUNERO'),	EnableActions, DisableActions, MoveRadius, ShortMoveRadius, ChargeRadius, AttackRadius, RangedAttackRadius, MoveRate, ShortMoveRate, TurnRateMin, TurnRateMax, TurnFacingRateMin, TurnFacingRateMax, RollRateMin, RollRateMax, PitchRateMin, PitchRateMax, LOSRadiusScale, TargetRadius, TargetHeight, HasShortRangedAttack, HasLongRangedAttack, HasLeftRightAttack, HasStationaryMelee, HasStationaryRangedAttack, HasRefaceAfterCombat, ReformBeforeCombat, HasIndependentWeaponFacing, HasOpponentTracking, HasCollisionAttack, AttackAltitude, AltitudeDecelerationDistance, OnlyTurnInMovementActions, RushAttackFormation
FROM ArtDefine_UnitMemberCombats WHERE (UnitMemberType = 'ART_DEF_UNIT_MEMBER_RIFLEMAN');
--==========================================================================================================================
-- ArtDefine_UnitMemberCombatWeapons
--==========================================================================================================================
INSERT INTO ArtDefine_UnitMemberCombatWeapons	
			(UnitMemberType,						"Index", SubIndex, ID, VisKillStrengthMin, VisKillStrengthMax, ProjectileSpeed, ProjectileTurnRateMin, ProjectileTurnRateMax, HitEffect, HitEffectScale, HitRadius, ProjectileChildEffectScale, AreaDamageDelay, ContinuousFire, WaitForEffectCompletion, TargetGround, IsDropped, WeaponTypeTag, WeaponTypeSoundOverrideTag)
SELECT		('ART_DEF_UNIT_MEMBER_JFD_KATIPUNERO'),	"Index", SubIndex, ID, VisKillStrengthMin, VisKillStrengthMax, ProjectileSpeed, ProjectileTurnRateMin, ProjectileTurnRateMax, HitEffect, HitEffectScale, HitRadius, ProjectileChildEffectScale, AreaDamageDelay, ContinuousFire, WaitForEffectCompletion, TargetGround, IsDropped, WeaponTypeTag, WeaponTypeSoundOverrideTag
FROM ArtDefine_UnitMemberCombatWeapons WHERE (UnitMemberType = 'ART_DEF_UNIT_MEMBER_RIFLEMAN');
--==========================================================================================================================
-- ArtDefine_UnitMemberInfos
--==========================================================================================================================
INSERT INTO ArtDefine_UnitMemberInfos 	
			(Type, 									Scale,  ZOffset, Domain, Model, 					MaterialTypeTag, MaterialTypeSoundOverrideTag)
SELECT		('ART_DEF_UNIT_MEMBER_JFD_KATIPUNERO'),	Scale,	ZOffset, Domain, ('u_katipunero.fxsxml'),	MaterialTypeTag, MaterialTypeSoundOverrideTag
FROM ArtDefine_UnitMemberInfos WHERE (Type = 'ART_DEF_UNIT_MEMBER_RIFLEMAN');
--==========================================================================================================================
-- IconTextureAtlases
--==========================================================================================================================
INSERT INTO IconTextureAtlases 
			(Atlas, 								IconSize, 	Filename, 								IconsPerRow, 	IconsPerColumn)
VALUES		('JFD_PHILIPPINES_ATLAS', 				256, 		'JFD_PhilippinesAtlas_256.dds',			2, 				2),
			('JFD_PHILIPPINES_ATLAS', 				128, 		'JFD_PhilippinesAtlas_128.dds',			2, 				2),
			('JFD_PHILIPPINES_ATLAS', 				80, 		'JFD_PhilippinesAtlas_80.dds',			2, 				2),
			('JFD_PHILIPPINES_ATLAS', 				64, 		'JFD_PhilippinesAtlas_64.dds',			2, 				2),
			('JFD_PHILIPPINES_ATLAS', 				45, 		'JFD_PhilippinesAtlas_45.dds',			2, 				2),
			('JFD_PHILIPPINES_ATLAS', 				32, 		'JFD_PhilippinesAtlas_32.dds',			2, 				2),
			('JFD_PHILIPPINES_ALPHA_ATLAS', 		128, 		'JFD_PhilippinesAlphaAtlas_128.dds',	8, 				2),
			('JFD_PHILIPPINES_ALPHA_ATLAS', 		64, 		'JFD_PhilippinesAlphaAtlas_64.dds',		8, 				2),
			('JFD_PHILIPPINES_ALPHA_ATLAS', 		48, 		'JFD_PhilippinesAlphaAtlas_48.dds',		8, 				2),
			('JFD_PHILIPPINES_ALPHA_ATLAS', 		45, 		'JFD_PhilippinesAlphaAtlas_45.dds',		8, 				2),
			('JFD_PHILIPPINES_ALPHA_ATLAS', 		32, 		'JFD_PhilippinesAlphaAtlas_32.dds',		8, 				2),
			('JFD_PHILIPPINES_ALPHA_ATLAS', 		24, 		'JFD_PhilippinesAlphaAtlas_24.dds',		8, 				2),
			('JFD_PHILIPPINES_ALPHA_ATLAS', 		22, 		'JFD_PhilippinesAlphaAtlas_22.dds',		8, 				2),
			('JFD_PHILIPPINES_ALPHA_ATLAS', 		16, 		'JFD_PhilippinesAlphaAtlas_16.dds',		8, 				2),
			('JFD_UNIT_FLAG_KATIPUNERO_ATLAS', 		32, 		'Unit_Katipunero_Flag_32.dds',			1, 				1),
			('PHILIPPINES_PROMO_ATLAS', 			256, 		'ThePhilippines_PI_256.dds',			6, 				1),
			('PHILIPPINES_PROMO_ATLAS', 			64, 		'ThePhilippines_PI_064.dds',			6, 				1),
			('PHILIPPINES_PROMO_ATLAS', 			45, 		'ThePhilippines_PI_045.dds',			6, 				1),
			('PHILIPPINES_PROMO_ATLAS', 			32, 		'ThePhilippines_PI_032.dds',			6, 				1),
			('PHILIPPINES_PROMO_ATLAS', 			16, 		'ThePhilippines_PI_016.dds',			6, 				1);
--==========================================================================================================================
--==========================================================================================================================
