--==========================================================================================================================
-- UnitClasses
--==========================================================================================================================
INSERT INTO UnitClasses
		(Type, Description, DefaultUnit)
VALUES	('UNITCLASS_KATIPUNERO', 'TXT_KEY_UNIT_JFD_KATIPUNERO', 'NONE');
--==========================================================================================================================
-- Units
--==========================================================================================================================
INSERT INTO Units
			(Type,					Description,					Civilopedia,						Strategy,								Help, 								PolicyType, 				Class, 					Combat,		RangedCombat, Cost, FaithCost, RequiresFaithPurchaseEnabled, Moves,	Range, BaseSightRange, CombatClass, Domain, DefaultUnitAI, MilitarySupport, MilitaryProduction, Pillage, IgnoreBuildingDefense, Mechanized, ObsoleteTech,		GoodyHutUpgradeUnitClass, HurryCostModifier, AdvancedStartCost, MinAreaSize, Conscription, XPValueAttack, XPValueDefense, UnitArtInfo, 						UnitFlagIconOffset, PortraitIndex,	IconAtlas,					UnitFlagAtlas,						MoveRate, PurchaseCooldown, BaseLandAirDefense, IsMounted, NoMinorCivGift)
SELECT		'UNIT_JFD_KATIPUNERO',	'TXT_KEY_UNIT_JFD_KATIPUNERO',	'TXT_KEY_CIV5_JFD_KATIPUNERO_TEXT',	'TXT_KEY_UNIT_JFD_KATIPUNERO_STRATEGY',	'TXT_KEY_UNIT_JFD_KATIPUNERO_HELP', 'POLICY_KATIPUNERO_DUMMY',	'UNITCLASS_KATIPUNERO', Combat+3,	RangedCombat, Cost, FaithCost, RequiresFaithPurchaseEnabled, Moves,	Range, BaseSightRange, CombatClass, Domain, DefaultUnitAI, MilitarySupport, MilitaryProduction, Pillage, IgnoreBuildingDefense, Mechanized, 'TECH_ROCKETRY', 	GoodyHutUpgradeUnitClass, HurryCostModifier, AdvancedStartCost, MinAreaSize, Conscription, XPValueAttack, XPValueDefense, 'ART_DEF_UNIT_JFD_KATIPUNERO', 	0,					2,				'JFD_PHILIPPINES_ATLAS',	'JFD_UNIT_FLAG_KATIPUNERO_ATLAS',	MoveRate, PurchaseCooldown, BaseLandAirDefense, IsMounted, 1
FROM Units WHERE Type = 'UNIT_COMMANDO';
--==========================================================================================================================
-- UnitGameplay2DScripts
--==========================================================================================================================
INSERT INTO UnitGameplay2DScripts
(UnitType, 					SelectionSound, FirstSelectionSound)
SELECT		('UNIT_JFD_KATIPUNERO'), 	SelectionSound, FirstSelectionSound
FROM UnitGameplay2DScripts WHERE (UnitType = 'UNIT_COMMANDO');
--==========================================================================================================================
-- Unit_AITypes
--==========================================================================================================================
INSERT INTO Unit_AITypes
(UnitType, 					UnitAIType)
SELECT		('UNIT_JFD_KATIPUNERO'), 	UnitAIType
FROM Unit_AITypes WHERE (UnitType = 'UNIT_COMMANDO');
--==========================================================================================================================
-- Unit_ClassUpgrades
--==========================================================================================================================
INSERT INTO Unit_ClassUpgrades
(UnitType, 					UnitClassType)
SELECT		('UNIT_JFD_KATIPUNERO'), 	UnitClassType
FROM Unit_ClassUpgrades WHERE (UnitType = 'UNIT_COMMANDO');
--==========================================================================================================================
-- Unit_Flavors
--==========================================================================================================================
INSERT INTO Unit_Flavors
(UnitType, 					FlavorType, Flavor)
SELECT		('UNIT_JFD_KATIPUNERO'), 	FlavorType, Flavor+2
FROM Unit_Flavors WHERE (UnitType = 'UNIT_COMMANDO');
--==========================================================================================================================
-- Unit_FreePromotions
--==========================================================================================================================
INSERT INTO Unit_FreePromotions 	
			(UnitType, 				PromotionType)
SELECT		'UNIT_JFD_KATIPUNERO', 	PromotionType
FROM Unit_FreePromotions WHERE UnitType = 'UNIT_COMMANDO';

INSERT INTO Unit_FreePromotions
			(UnitType, 					PromotionType)
VALUES		('UNIT_JFD_KATIPUNERO', 	'PROMOTION_UNIT_PHILIPPINES_KATIPON');
--==========================================================================================================================	
-- POLICIES
--==========================================================================================================================	
INSERT INTO	Policies
			(Type, 						Description, 						IsDummy)
VALUES		('POLICY_KATIPUNERO_DUMMY',	'TXT_KEY_POLICY_KATIPUNERO_DUMMY', 	1);
--==========================================================================================================================	
--==========================================================================================================================	
-- Civilization_UnitClassOverrides 
--==========================================================================================================================		
INSERT INTO Civilization_UnitClassOverrides 
			(CivilizationType, 					UnitClassType, 			 UnitType)
VALUES		('CIVILIZATION_JFD_PHILIPPINES', 	'UNITCLASS_KATIPUNERO',	'UNIT_JFD_KATIPUNERO');

INSERT INTO Civilization_UnitClassOverrides 
			(CivilizationType, 					UnitClassType, 			UnitType)
VALUES		('CIVILIZATION_JFD_PHILIPPINES', 	'UNITCLASS_COMMANDO',	null);

--==========================================================================================================================	
-- Replace Philippines Explorer so they can upgrade into katipunero properly
--==========================================================================================================================
--------------------------------
-- Civilization_UnitClassOverrides 
--------------------------------
INSERT INTO Civilization_UnitClassOverrides 
			(CivilizationType, 					UnitClassType, 			UnitType)
VALUES		('CIVILIZATION_JFD_PHILIPPINES',	'UNITCLASS_EXPLORER', 	'UNIT_PHILIPPINES_EXPLORER');
--------------------------------
-- Units
--------------------------------	
INSERT INTO Units 	
		(Type, 							GoodyHutUpgradeUnitClass, 	ShowInPedia, 	Class, PrereqTech, Range, BaseSightRange, Combat, Cost, FaithCost, RequiresFaithPurchaseEnabled, Moves, Immobile, CombatClass, Domain, DefaultUnitAI, ObsoleteTech, XPValueAttack, Description, Civilopedia, Strategy, Help, Pillage, MilitarySupport, MilitaryProduction, IgnoreBuildingDefense, Mechanized, AirUnitCap, AdvancedStartCost, RangedCombatLimit, CombatLimit, XPValueDefense, UnitArtInfo, UnitFlagIconOffset, UnitFlagAtlas, PortraitIndex, IconAtlas, MoveRate, PurchaseCooldown)
SELECT	'UNIT_PHILIPPINES_EXPLORER', 	'UNITCLASS_KATIPUNERO', 	0, 				Class, PrereqTech, Range, BaseSightRange, Combat, Cost, FaithCost, RequiresFaithPurchaseEnabled, Moves, Immobile, CombatClass, Domain, DefaultUnitAI, ObsoleteTech, XPValueAttack, Description, Civilopedia, Strategy, Help, Pillage, MilitarySupport, MilitaryProduction, IgnoreBuildingDefense, Mechanized, AirUnitCap, AdvancedStartCost, RangedCombatLimit, CombatLimit, XPValueDefense, UnitArtInfo, UnitFlagIconOffset, UnitFlagAtlas, PortraitIndex, IconAtlas, MoveRate, PurchaseCooldown
FROM Units WHERE Type = 'UNIT_EXPLORER';
--------------------------------	
-- Unit_ClassUpgrades
--------------------------------		
INSERT INTO Unit_ClassUpgrades 	
			(UnitType, 					UnitClassType)
VALUES		('UNIT_PHILIPPINES_EXPLORER',	'UNITCLASS_KATIPUNERO');
--------------------------------
-- UnitGameplay2DScripts
--------------------------------
INSERT INTO UnitGameplay2DScripts 	
			(UnitType, 					SelectionSound, FirstSelectionSound)
SELECT		'UNIT_PHILIPPINES_EXPLORER',	SelectionSound, FirstSelectionSound
FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_EXPLORER';	
--------------------------------	
-- Unit_AITypes
--------------------------------		
INSERT INTO Unit_AITypes 	
			(UnitType, 					UnitAIType)
SELECT		'UNIT_PHILIPPINES_EXPLORER',	UnitAIType
FROM Unit_AITypes WHERE UnitType = 'UNIT_EXPLORER';
--------------------------------	
-- Unit_Flavors
--------------------------------		
INSERT INTO Unit_Flavors 	
			(UnitType, 					FlavorType,	Flavor)
SELECT		'UNIT_PHILIPPINES_EXPLORER',	FlavorType,	Flavor
FROM Unit_Flavors WHERE UnitType = 'UNIT_EXPLORER';
--------------------------------
-- Unit_FreePromotions
--------------------------------
INSERT INTO Unit_FreePromotions 	
			(UnitType, 				PromotionType)
SELECT		'UNIT_PHILIPPINES_EXPLORER',	PromotionType
FROM Unit_FreePromotions WHERE UnitType = 'UNIT_EXPLORER';
