-- Philippines_Functions
-- Authors: JFD, Vicevirtuoso
-- DateCreated: 2/3/2014 6:04:01 AM
--==========================================================================================================================
-- CORE FUNCTIONS
--==========================================================================================================================
print ("The Republic of the Philippines dawns")
include("FLuaVector.lua")

local iPromotionBalangay  = GameInfoTypes.PROMOTION_UNIT_PHILIPPINES_BALANGAY
local turn = 0
local iPhilippines = GameInfoTypes.CIVILIZATION_JFD_PHILIPPINES

--Utilizes TableSaverLoader by Pazyryk to keep track of whether or not Open Borders was active last turn for each other Civ.
--[[include ("TableSaverLoader016.lua")

--Localize any pertinent data for increased processing speed.
local iMaxMajors = GameDefines.MAX_MAJOR_CIVS



--Global table for TableSaverLoader
MapModData.gT = MapModData.gT or {}
gT = MapModData.gT

gT.CLPOpenBorders = {}


function DataLoad()
	local bNewGame = not TableLoad(gT, "CLPhilippines")

	-- < mod-specific init code here depending on bNewGame >

	TableSave(gT, "CLPhilippines")  --before the initial autosave that runs for both new and loaded games
end

DataLoad()


------TableSaverLoader------------------------------------------------
function OnEnterGame()   --Runs when Begin or Continue Your Journey pressed
	print("Player entering game ...")
	ContextPtr:LookUpControl("/InGame/GameMenu/SaveGameButton"):RegisterCallback(Mouse.eLClick, SaveGameIntercept)
	ContextPtr:LookUpControl("/InGame/GameMenu/QuickSaveButton"):RegisterCallback(Mouse.eLClick, QuickSaveIntercept)
	TableSave(gT, "CLPhilippines")	--before the "Initial" autosave; this is extra on a post-turn-0 game load but won't hurt
end
Events.LoadScreenClose.Add(OnEnterGame)

function SaveGameIntercept()	--overrides Civ5 code when player presses Save Game from Game Menu or Cntr-s
	TableSave(gT, "CLPhilippines")
	UIManager:QueuePopup(ContextPtr:LookUpControl("/InGame/GameMenu/SaveMenu"), PopupPriority.SaveMenu)
end

function QuickSaveIntercept()	--overrides Civ5 code when player presses Quick Save from Game Menu or F11
	TableSave(gT, "CLPhilippines")
	UI.QuickSave()
end

local autoSaveFreq = OptionsManager.GetTurnsBetweenAutosave_Cached()
function OnGameOptionsChanged()
	autoSaveFreq = OptionsManager.GetTurnsBetweenAutosave_Cached()
end
Events.GameOptionsChanged.Add(OnGameOptionsChanged)

function OnAIProcessingEndedForPlayer(iPlayer)
	if iPlayer == 63 then					--runs on barb turn AFTER barb unit moves (very close to the regular autosave)
		if Game.GetGameTurn() % autoSaveFreq == 0 then	--only need to do on autosave turns
			TableSave(gT, "CLPhilippines")
		end
	end
end
Events.AIProcessingEndedForPlayer.Add(OnAIProcessingEndedForPlayer)


--Input handler for custom missions and saving
function InputHandler( uiMsg, wParam, lParam )
	if uiMsg == KeyEvents.KeyDown then
		if wParam == Keys.VK_F11 then
			QuickSaveIntercept()		--F11 Quicksave
        		return true
		elseif wParam == Keys.S and UIManager:GetControl() then
			SaveGameIntercept()			--ctrl-s
			return true
		end
	end
end
ContextPtr:SetInputHandler( InputHandler );
]]--
----------------------------------------------------------------------------------------------------------------------------
-- Katipunero Unlock
----------------------------------------------------------------------------------------------------------------------------
function KatipuneroIndustryUnlock(iPlayer, iPolicyBranch)
	local pPlayer = Players[iPlayer]
	
	if not (pPlayer:IsAlive() and pPlayer:GetCivilizationType() == iPhilippines) then return end
--	local pPolicy = GameInfo.Policies(iPolicy).ID
	if (iPolicyBranch == GameInfoTypes.POLICY_BRANCH_COMMERCE) or (iPolicyBranch == GameInfoTypes.POLICY_BRANCH_EXPLORATION) or (iPolicyBranch == GameInfoTypes.POLICY_BRANCH_RATIONALISM) then
		pPlayer:GrantPolicy(GameInfoTypes.POLICY_KATIPUNERO_DUMMY, true)
		print("Katipunero unlocked")
	end
end
----------------------------------------------------------------------------------------------------------------------------
-- Lantaka embarked unit bonus
----------------------------------------------------------------------------------------------------------------------------
function BangkaPromotionCheck(iPlayer)
	local pPlayer = Players[iPlayer]
	
	if (pPlayer:IsAlive() and (not pPlayer:IsBarbarian())) then
	
		for pUnit in pPlayer:Units() do
			if (pUnit:GetUnitCombatType() == GameInfoTypes.UNITCOMBAT_NAVALMELEE or pUnit:GetUnitCombatType() == GameInfoTypes.UNITCOMBAT_NAVALRANGED) then
				if pUnit:IsWithinDistanceOfUnitPromotion(GameInfoTypes.PROMOTION_UNIT_PHILIPPINES_SWIVEL_GUN, 0, true, false) then
					pUnit:SetHasPromotion(GameInfoTypes.PROMOTION_UNIT_PHILIPPINES_BANGKA, true)
				else 
					pUnit:SetHasPromotion(GameInfoTypes.PROMOTION_UNIT_PHILIPPINES_BANGKA, false)
				end
			end
		end
	end
end
GameEvents.PlayerDoTurn.Add(BangkaPromotionCheck)
----------------------------------------------------------------------------------------------------------------------------
-- Balangay & Katipunero Promotion Check
----------------------------------------------------------------------------------------------------------------------------
function LevelsOnBalangayKatipunero(iPlayer, iUnit)
	local pPlayer = Players[iPlayer]
	local pUnit = pPlayer:GetUnitByID(iUnit)

	if pUnit:IsHasPromotion(GameInfoTypes.PROMOTION_UNIT_PHILIPPINES_KATIPON) then
		if pUnit:GetLevel() == 3 then
			pUnit:SetHasPromotion(GameInfoTypes.PROMOTION_UNIT_PHILIPPINES_KAWAL, true)
		elseif pUnit:GetLevel() == 5 then
			pUnit:SetHasPromotion(GameInfoTypes.PROMOTION_UNIT_PHILIPPINES_BAYANI, true)
		end
	end
	
	if not (pPlayer and pPlayer:GetCivilizationType() == iPhilippines) then return end
	
	if pUnit:IsHasPromotion(iPromotionBalangay) then
		if pUnit:GetLevel() == 4 then
			local pPlot = pUnit:GetPlot()
			local iX, iY = pPlot:GetX(), pPlot:GetY()
			local pTeam = Teams[pPlayer:GetTeam()]
			
			if pTeam:GetTeamTechs():HasTech(GameInfoTypes.TECH_BIOLOGY) then
				local pSettlerUnit = pPlayer:InitUnit(GameInfoTypes.UNIT_COLONIST, iX, iY, -1, DirectionTypes.NO_DIRECTION, false)
				pSettlerUnit:SetEmbarked(true)
--				pSettlerUnit:SetMoves(240)
				pSettlerUnit:SetHasPromotion(GameInfoTypes.PROMOTION_OCEAN_CROSSING, true)
					
			elseif pTeam:GetTeamTechs():HasTech(GameInfoTypes.TECH_BANKING) then
				local pSettlerUnit = pPlayer:InitUnit(GameInfoTypes.UNIT_PIONEER, iX, iY, -1, DirectionTypes.NO_DIRECTION, false)
				pSettlerUnit:SetEmbarked(true)
--				pSettlerUnit:SetMoves(180)
				pSettlerUnit:SetHasPromotion(GameInfoTypes.PROMOTION_OCEAN_CROSSING, true)
					
			else 
				local pSettlerUnit = pPlayer:InitUnit(GameInfoTypes.UNIT_SETTLER, iX, iY, -1, DirectionTypes.NO_DIRECTION, false)
				pSettlerUnit:SetEmbarked(true)
--				pSettlerUnit:SetMoves(180)
				pSettlerUnit:SetHasPromotion(GameInfoTypes.PROMOTION_OCEAN_CROSSING, true)
				pSettlerUnit:SetHasPromotion(GameInfoTypes.PROMOTION_EMBARKATION, true)
			end
			
			if not pPlayer:IsHuman() then
				local pCapital = pPlayer:GetCapitalCity()
				local iChange = 35 * math.max(pPlayer:GetCurrentEra(), 1)
				pUnit:Kill(true, -1)
				pCapital:ChangeFood(iChange)
				pCapital:ChangeJONSCultureStored(iChange)
				pPlayer:ChangeJONSCulture(iChange)
			end
		end
	end
end
----------------------------------------------------------------------------------------------------------------------------
-- Balangay Spawn function
----------------------------------------------------------------------------------------------------------------------------
function BalangaySpawn(iFromPlayer, iFromCity, iToPlayer, iToCity, iDomain, iConnectionType)
	local pPlayer = Players[iFromPlayer]

	if not (pPlayer and pPlayer:GetCivilizationType() == iPhilippines) then return end

	local pCity = pPlayer:GetCityByID(iFromCity)
	if pCity:IsCoastal() then
--	if iDomain == 0 then

		local iX, iY = pCity:GetX(), pCity:GetY()
		if pPlayer:IsHuman() then
			local pBalangayUnit = pPlayer:InitUnit(GameInfoTypes.UNIT_PHILIPPINES_BALANGAY, iX, iY, -1, DirectionTypes.NO_DIRECTION, false)
			pBalangayUnit:SetHasPromotion(GameInfoTypes.PROMOTION_UNIT_PHILIPPINES_BALANGAY, true)		

		elseif pPlayer:GetUnitClassCount(GameInfoTypes.UNITCLASS_PHILIPPINES_BALANGAY) == 0 then
			local pBalangayUnit = pPlayer:InitUnit(GameInfoTypes.UNIT_PHILIPPINES_BALANGAY, iX, iY, -1, DirectionTypes.NO_DIRECTION, false)
			pBalangayUnit:SetHasPromotion(GameInfoTypes.PROMOTION_UNIT_PHILIPPINES_BALANGAY, true)

		else 
			local iChange = 25 * math.max(pPlayer:GetCurrentEra(), 1)
			pCity:ChangeFood(iChange)
			pCity:ChangeJONSCultureStored(iChange)
			pPlayer:ChangeJONSCulture(iChange)
		end
	end	
end
----------------------------------------------------------------------------------------------------------------------------
-- Balangay Yield mission
----------------------------------------------------------------------------------------------------------------------------
function BalangayExpendPossible(iPlayer, iUnit, iMission, iData1, iData2, _, _, iPlotX, iPlotY, bTestVisible)
	local pPlayer = Players[iPlayer]

	if not (pPlayer and pPlayer:GetCivilizationType() == iPhilippines) then return end
	
	if (iMission == GameInfoTypes.MISSION_BALANGAY_SETTLER) then
	
		if pPlayer:GetUnitByID(iUnit):IsHasPromotion(iPromotionBalangay) then

			local pUnit = pPlayer:GetUnitByID(iUnit)
			local pPlot = Map.GetPlot(iPlotX, iPlotY)
			if pPlot:IsCity() then
				return true 
			end
		end
	end
	return false 
end

function BalangayExpend(iPlayer, iUnit, iMission, iData1, iData2, iFlags, iTurn)
	local pPlayer = Players[iPlayer]

	if not (pPlayer and pPlayer:IsHuman()) then return end

	if not (pPlayer:IsTurnActive() and pPlayer:GetCivilizationType() == iPhilippines) then return end
	
	if (iMission == GameInfoTypes.MISSION_BALANGAY_SETTLER) then	
		
		local pUnit = pPlayer:GetUnitByID(iUnit)
		local iChange = (25 + 5 * math.min(2, (pUnit:GetLevel() - 1))) * math.max(pPlayer:GetCurrentEra(), 1)

		local pCity = pUnit:GetPlot():GetPlotCity()
		local iX, iY = pCity:GetX(), pCity:GetY()
		local vCityPosition = PositionCalculator(iX, iY)
		local sName = pCity:GetName()

		pUnit:Kill(true, -1)
		pCity:ChangeFood(iChange)
		pCity:ChangeJONSCultureStored(iChange)
		pPlayer:ChangeJONSCulture(iChange)


		Events.AddPopupTextEvent(vCityPosition, "[COLOR_YIELD_FOOD]+"..iChange.." [ICON_FOOD][ENDCOLOR]", 1)
		Events.AddPopupTextEvent(vCityPosition, "[COLOR_MAGENTA]+"..iChange.." [ICON_CULTURE][ENDCOLOR]", 1.5)
		
		pPlayer:AddNotification(NotificationTypes.NOTIFICATION_INSTANT_YIELD,
			'Balangay voyage has been completed:[NEWLINE][ICON_BULLET][COLOR_POSITIVE_TEXT]'..sName..': [ENDCOLOR]+'..iChange..' [ICON_FOOD] Food[NEWLINE][ICON_BULLET][COLOR_POSITIVE_TEXT]'..sName..': [ENDCOLOR]+'..iChange..' [ICON_CULTURE] Culture',
			'Bonus Yields in '..sName, iX, iY, pCity:GetID())		return true
	end
end 

function PositionCalculator(i1, i2)
	return HexToWorld(ToHexFromGrid(Vector2(i1, i2)))
end
----------------------------------------------------------------------------------------------------------------------------
-- Coral Church Open Borders Bonus
----------------------------------------------------------------------------------------------------------------------------
function OpenBordersCoralChurch(iPlayer)

	local pPlayer = Players[iPlayer]
	if not (pPlayer:IsAlive() and (pPlayer:GetCivilizationType() == iPhilippines)) then return end
	
	local eCoralChurchBuilding = GameInfoTypes.BUILDING_JFD_CORAL_CHURCH
	if pPlayer:CountNumBuildings(eCoralChurchBuilding) == 0 then return end
	
	-- Count all the players with Open borders with you
	local iTeam = pPlayer:GetTeam()
	local pTeam = Teams[iTeam]
	local OpenBorderHome = 0
	local OpenBorderAway = 0
	for otherteam in pairs(Teams) do
		local pOtherTeam = Teams[otherteam]
		local iOtherPlayer = Teams[otherteam]:GetLeaderID()
		if (pOtherTeam:IsEverAlive() and iOtherPlayer ~= iPlayer) then
		
			if pTeam:IsAllowsOpenBordersToTeam(otherteam) then
				OpenBorderHome = OpenBorderHome + 1
			end
			if pOtherTeam:IsAllowsOpenBordersToTeam(iTeam) then
				OpenBorderAway = OpenBorderAway + 1
			end
		end
	end
	--Set the bonus dummy buildings in your capital to boost all Coral Churches
pPlayer:GetCapitalCity():SetNumRealBuilding(GameInfoTypes.BUILDING_CC_OPENBORDER_THEM, math.min(7, OpenBorderAway))
pPlayer:GetCapitalCity():SetNumRealBuilding(GameInfoTypes.BUILDING_CC_OPENBORDER_YOU, math.min(7, OpenBorderHome))
end
----------------------------------------------------------------------------------------------------------------------------
-- UA Free Cargo Ship at Trade
----------------------------------------------------------------------------------------------------------------------------
local seaDomain = GameInfoTypes["DOMAIN_SEA"]

function OnTechResearchedAddTradeUnit(iTeam, iTech)
	local pTeam = Teams[iTeam]
	local pPlayer = Players[pTeam:GetLeaderID()]
	
	if not (pPlayer and (pPlayer:GetCivilizationType() == iPhilippines)) then return end
	
	if iTech == GameInfoTypes.TECH_HORSEBACK_RIDING then
		print("Trade Researched")
		local pCapital = pPlayer:GetCapitalCity()
		local iX, iY = pCapital:GetX(), pCapital:GetY()
		local pCargoShip = pPlayer:InitUnit(GameInfoTypes.UNIT_CARGO_SHIP, iX, iY, -1, DirectionTypes.NO_DIRECTION, false)
		local pPlot = pCargoShip:GetPlot()
		local bHasSeaOption = false
		local tPossibleRoutes = pPlayer:GetPotentialInternationalTradeRouteDestinations(pCargoShip)
		for k, v in pairs(tPossibleRoutes) do
			if v.TradeConnectionType == seaDomain then
				print("Sea TR available")
				bHasSeaOption = true
				break
			end
		end
		if bHasSeaOption then
			return
		else 
			print("No sea TR available")
			pCargoShip:Kill(true, -1)
			pPlayer:InitUnit(GameInfoTypes.UNIT_CARAVAN, iX, iY, -1, DirectionTypes.NO_DIRECTION, false)
		end
	end
end
-----------------------------------------------------------------------------------------------------------------------------
if Game.IsCivEverActive(iPhilippines) then		
	GameEvents.CustomMissionPossible.Add(BalangayExpendPossible)
	GameEvents.CustomMissionCompleted.Add(BalangayExpend)
	GameEvents.PlayerDoTurn.Add(OpenBordersCoralChurch)
	GameEvents.PlayerTradeRouteCompleted.Add(BalangaySpawn) 
	GameEvents.UnitPromoted.Add(LevelsOnBalangayKatipunero)
	GameEvents.PlayerAdoptPolicyBranch.Add(KatipuneroIndustryUnlock)
	GameEvents.TeamTechResearched.Add(OnTechResearchedAddTradeUnit)
end